mattrib(1)

NAZWA
mattrib - zmień atrybuty plików MSDOS

SKŁADNIA
mattrib [-a|+a] [-h|+h] [-r|+r] [-s|+s] [-/] [-p] [-X] plikDOS [plikiDOS...]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

mattrib używany jest do zmiany flag atrybutów pliku MS-DOSu. Dodaje on flagi atrybutów do plików DOSu (z operatorem +) lub usuwa je (z operatorem -).

mattrib obsługuje następujące bity atrybutu:

-a  Archiwacja. Używane przez niektóre programy wykonujące kopie zapasowe (backup) do oznaczenia nowego pliku.

-r  Read-only. Używany do oznaczenia pliku tylko do odczytu. Pliki z ustawionym bitem `r' nie mogą zostać skasowane przez DEL ani zmodyfikowane.

-s  Systemowy. Używany przez MS-DOS do oznakowania pliku systemu operacyjnego.

-h  Ukryty (hidden). Pliki z ustawionym bitem `hidden' są ukryte przed poleceniem DIR.

OPCJE
mattrib posiada następujące opcje linii poleceń:

-/  Rekurencja. Rekurencyjnie listuje atrybuty plików w podkatalogach.

-X  Zwięźle. Wyświetla atrybuty bez jakiegokolwiek wyrównywania odstępami. Wygodne w skryptach. Jeśli ani nie użyto opcji -/, ani plikDOS nie zawiera znaków uogólniających i podano tylko jeden parametr określający plik, to wyświetlany jest wyłącznie atrybut, bez nazwy pliku.

-p  Tryb replay. Wyświetla jako wynik serię poleceń `mattrib', które odtworzą bieżące atrybuty, w stosunku do wyjściowej sytuacji, jaka może powstać przez odtarowanie (un-tar) DOSowego systemu plików. Generowane są tylko polecenia dla ustawień atrybutów różniących się od domyślnych (bit archiwacji ustawiony dla plików, nieustawiony dla katalogów). Nie jest brany pod uwagę bit read-only, gdyż tar potrafi ustawiać go samodzielnie.

UWAGI
Niniejsza, polska wersja dokumentacji, powstała jako tłumaczenie pliku Texinfo pakietu mtools wersji 3.9.6. W stosunku do automatycznie generowanej z Textinfo dokumentacji oryginalnej dokonano przesunięcia sekcji opisującej konwersję dokumentacji do mtools(1). Tam też znajdziesz notę prawną dotyczącą rozpowszechniania, modyfikacji i tłumaczenia dokumentacji pakietu mtools

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 1 mattrib

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.